<?php
namespace nur\v\model;

/**
 * Class IBasicPage: une page basique, dont le contenu n'est pas structuré
 */
interface IBasicPage extends IPage {
  function beforePrintStartHtml(): void;
  function afterPrintStartHtml(): void;

  ##

  function beforePrintStartHead(): void;
  function afterPrintStartHead(): void;

  function beforePrintCssLinks(): void;
  function afterPrintCssLinks(): void;

  function beforePrintCss(): void;
  function printCss(): void;
  function afterPrintCss(): void;

  function beforePrintJsLinks(): void;
  function afterPrintJsLinks(): void;

  function beforePrintJs(): void;
  function printJs(): void;
  function afterPrintJs(): void;

  function beforePrintScript(): void;
  function printScript(): void;
  function printJquery(): void;
  function afterPrintScript(): void;

  function beforePrintHeadTitle(): void;
  function printHeadTitle(): void;
  function afterPrintHeadTitle(): void;

  function beforePrintEndHead(): void;
  function afterPrintEndHead(): void;

  ##

  function beforePrintStartBody(): void;
  function afterPrintStartBody(): void;

  function beforePrintContent(): void;
  function printContent(): void;
  function afterPrintContent(): void;

  function beforePrintEndBody(): void;
  function afterPrintEndBody(): void;

  ##

  function beforePrintEndHtml(): void;
  function afterPrintEndHtml(): void;
}
